scala.tools.nsc.ast.parser

# CommonTokens

#### abstract class CommonTokens extends AnyRef

Common code between Scala's Tokens and JavaTokens.

Source
  CommonTokens.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
JavaTokens, Tokens
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CommonTokens
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CommonTokens()

### Abstract Value Members

1. #### abstract def isIdentifier(code: Int): Boolean

2. #### abstract def isLiteral(code: Int): Boolean

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CommonTokens to any2stringadd[CommonTokens] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CommonTokens, B)

   Implicit information
     This member is added by an implicit conversion from CommonTokens to ArrowAssoc[CommonTokens] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final val ABSTRACT: Int(46)

7. #### final val AT: Int(125)

8. #### final val CASE: Int(96)

9. #### final val CATCH: Int(92)

10. #### final val CHARLIT: Int(1)

    literals

11. #### final val CLASS: Int(62)

12. #### final val COLON: Int(123)

13. #### final val COMMA: Int(120)

    special symbols

14. #### final val DO: Int(84)

15. #### final val DOT: Int(122)

16. #### final val DOUBLELIT: Int(5)

17. #### final val ELSE: Int(82)

18. #### final val EMPTY: Int(-3)

    special tokens

19. #### final val EOF: Int(0)

20. #### final val EQUALS: Int(124)

21. #### final val ERROR: Int(-1)

22. #### final val EXTENDS: Int(68)

23. #### final val FALSE: Int(26)

24. #### final val FINAL: Int(49)

25. #### final val FINALLY: Int(93)

26. #### final val FLOATLIT: Int(4)

27. #### final val FOR: Int(85)

28. #### final val IF: Int(80)

    control structures

29. #### final val IMPORT: Int(61)

30. #### final val INTLIT: Int(2)

31. #### final val LBRACE: Int(104)

32. #### final val LBRACKET: Int(102)

33. #### final val LONGLIT: Int(3)

34. #### final val LPAREN: Int(100)

    parenthesis

35. #### final val NEW: Int(20)

    keywords

36. #### final val NULL: Int(24)

37. #### final val PACKAGE: Int(60)

    templates

38. #### final val PRIVATE: Int(44)

39. #### final val PROTECTED: Int(43)

    modifiers

40. #### final val RBRACE: Int(105)

41. #### final val RBRACKET: Int(103)

42. #### final val RETURN: Int(97)

43. #### final val RPAREN: Int(101)

44. #### final val SEMI: Int(121)

45. #### final val STRINGLIT: Int(6)

46. #### final val SUPER: Int(23)

47. #### final val THIS: Int(21)

48. #### final val THROW: Int(90)

49. #### final val TRUE: Int(25)

50. #### final val TRY: Int(91)

51. #### final val UNDEF: Int(-2)

52. #### final val WHILE: Int(83)

53. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

54. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### def ensuring(cond: (CommonTokens) ⇒ Boolean, msg: ⇒ Any): CommonTokens

    Implicit information
      This member is added by an implicit conversion from CommonTokens to Ensuring[CommonTokens] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### def ensuring(cond: (CommonTokens) ⇒ Boolean): CommonTokens

    Implicit information
      This member is added by an implicit conversion from CommonTokens to Ensuring[CommonTokens] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: Boolean, msg: ⇒ Any): CommonTokens

    Implicit information
      This member is added by an implicit conversion from CommonTokens to Ensuring[CommonTokens] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### def ensuring(cond: Boolean): CommonTokens

    Implicit information
      This member is added by an implicit conversion from CommonTokens to Ensuring[CommonTokens] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

59. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

60. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

61. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

62. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CommonTokens to StringFormat[CommonTokens] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

63. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

64. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

65. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

66. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

67. #### final def notify(): Unit

    Definition Classes
      AnyRef

68. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

69. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

70. #### def toString(): String

    Definition Classes
      AnyRef → Any

71. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

72. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

73. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

74. #### def →[B](y: B): (CommonTokens, B)

    Implicit information
      This member is added by an implicit conversion from CommonTokens to ArrowAssoc[CommonTokens] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CommonTokens to any2stringadd[CommonTokens]

### Inherited by implicit conversion StringFormat from CommonTokens to StringFormat[CommonTokens]

### Inherited by implicit conversion Ensuring from CommonTokens to Ensuring[CommonTokens]

### Inherited by implicit conversion ArrowAssoc from CommonTokens to ArrowAssoc[CommonTokens]

### Ungrouped